---
title: Updating themes for Firefox 3.6
slug: Mozilla/Firefox/Releases/3.6/Updating_themes
tags:
  - Firefox 3.6
  - Themes
---
<div>{{FirefoxSidebar}}</div><p>This article intends to help theme authors update Firefox-3.5-compatible themes for Firefox 3.6 compatibility.</p>
<h2 id="Chrome_registration_change">Chrome registration change</h2>
<p><a class=" external" href="http://www.oxymoronical.com/blog/2009/06/Farewell-contentsrdf"><code>contents.rdf</code> is not supported anymore</a>, you need to use <code>chrome.manifest</code> instead.</p><h2 id="Emptytext_styling">Emptytext styling</h2>
<p>XUL textboxes don't have the <code>empty</code> attribute anymore, but <code>isempty</code> instead. So instead of <code>textbox[empty="true"]</code>, you need to use <code>textbox[isempty="true"]</code>.</p><h2 id="Right-to-left_UI_support">Right-to-left UI support</h2>
<p>The <code>[chromedir="rtl"]</code> and <code>[chromedir="ltr"]</code> selectors have been obsoleted and won't work anymore on most elements. Instead, you need to use the new {{ cssxref(":-moz-locale-dir(rtl)") }} and {{ cssxref(":-moz-locale-dir(ltr)") }} selectors. See also: <a class="internal" href="/en/Making_Sure_Your_Theme_Works_with_RTL_Locales" title="en/Making Sure Your Theme Works with RTL Locales">Making sure your theme works with RTL locales</a>.</p>
<h2 id="Cross-platform_tabbed_browser_styling">Cross-platform tabbed browser styling</h2>
<p>The tabbed browser implementation no longer has a Mac-specific <code>tabs-closebutton-box</code>; instead, all platforms use the same names to identify the components of the tab strip.</p>
<h2 id="Full_Screen_toolbar_button">Full Screen toolbar button</h2>
<p>There's a new <a class=" link-https" href="https://bugzilla.mozilla.org/show_bug.cgi?id=206544">Full Screen toolbar button</a> available from the Customize Toolbar dialog.</p>
<h2 id="See_also">See also</h2>
<ul> <li><a class=" external" href="http://forums.mozillazine.org/viewtopic.php?f=18&amp;t=975065">MozillaZine forum: Mozilla 1.9.2 / Firefox 3.6 theme changes</a></li> <li><a class="internal" href="/en/Themes" title="en/Themes">Themes</a></li> <li><a class="internal" href="/en/Building_a_Theme" title="en/Building a Theme">Building a theme</a></li>
</ul>
